Home of the Squeezebox™ & Transporter® network music players.
Page 44 of 44 FirstFirst ... 34424344
Results 431 to 437 of 437
  1. #431
    Babelfish's Best Boy mherger's Avatar
    Join Date
    Apr 2005
    Location
    Switzerland
    Posts
    20,005

    [Announce] Spotty 2.3.0 - SpotifyConnect for your Squeezebox

    > What are the advantages of setting it up as a service? And how do I do
    > that if I'm already running it as a service?


    Could you please take this to another thread? Thanks!


    --

    Michael

  2. #432
    Senior Member
    Join Date
    Jan 2008
    Posts
    366
    Quote Originally Posted by mherger View Post
    > Which ports does Connect use on the local network. Maybe I'll try to
    > open those explicitly?


    TBH: I don't know... but some googling makes me think it could be 4070.

    --

    Michael
    Hi, just an update: I specifically let the spotty helper app through the firewall for all ports and magically Spotify COnnect has started to work for all clients on the local network. In hindsight, it was the obvious thing.

    Thanks for your help!

    Wigster

  3. #433
    Junior Member
    Join Date
    Jun 2018
    Posts
    2
    Hi,

    today the triode plugin stopped working. So I installed the new spotty plugin to get spotify back to work.

    But unfortunately the helper app won't run:

    Code:
    Betriebssystem: Debian / i686-linux
    
    Ordner fŘr Hilfsprogramme:
    /usr/share/squeezeboxserver/Bin/i386-linux
    /usr/share/squeezeboxserver/Bin
    /usr/local/sbin
    /usr/local/bin
    /sbin
    /bin
    /usr/sbin
    /usr/bin
    /usr/bin
    /usr/local/bin
    /usr/libexec
    /usr/sbin
    /var/lib/squeezeboxserver/cache/InstalledPlugins/Plugins/Spotty/Bin/i386-linux
    /var/lib/squeezeboxserver/cache/InstalledPlugins/Plugins/Spotty/Bin
    /var/lib/squeezeboxserver/cache/InstalledPlugins/Plugins/SpottyAARCH64Bin/Bin
    ldd (Debian EGLIBC 2.13-38+deb7u8) 2.13
    If I try to run the program from the command line I get the following error:
    Code:
    lola:/var/lib/squeezeboxserver/cache/InstalledPlugins/Plugins/Spotty/Bin/i386-linux# ./spotty
    Illegal instruction
    lola:/var/lib/squeezeboxserver/cache/InstalledPlugins/Plugins/Spotty/Bin/i386-linux# ./spotty-x86_64
    -bash: ./spotty-x86_64: cannot execute binary file
    Code:
    # cat /proc/cpuinfo
    processor       : 0
    vendor_id       : AuthenticAMD
    cpu family      : 6
    model           : 10
    model name      : AMD Athlon(TM) XP 2200+
    Is there a possibility to get a helper app working with my cpu?

    Kind regards,
    Simon

  4. #434
    Babelfish's Best Boy mherger's Avatar
    Join Date
    Apr 2005
    Location
    Switzerland
    Posts
    20,005
    Quote Originally Posted by no6mis View Post
    ldd (Debian EGLIBC 2.13-38+deb7u8) 2.13
    I think it's the libc which is outdated, not the CPU. Any way to update the system? Or temporarily run a different Linux version from a live CD to check compatibility with those spotty binaries?

    Or if you're adventurous: you could try to build it yourself. You'd need to install rust (https://rustup.rs), then clone https://github.com/michaelherger/spotty and build it ("cargo build")
    Michael

    http://www.herger.net/slim-plugins - Spotty, MusicArtistInfo

  5. #435
    Junior Member
    Join Date
    Jun 2018
    Posts
    2
    Quote Originally Posted by mherger View Post
    I think it's the libc which is outdated, not the CPU. Any way to update the system? Or temporarily run a different Linux version from a live CD to check compatibility with those spotty binaries?

    Or if you're adventurous: you could try to build it yourself. You'd need to install rust (https://rustup.rs), then clone https://github.com/michaelherger/spotty and build it ("cargo build")
    Thank you! As I'm stuck with LMS 7.9.0 (7.9.1 won't start) I think it is better to migrate my LMS to a new RPi3 with recent libc. I don't dare to touch my system as I'm pretty sure it will impact some other services.

  6. #436
    Babelfish's Best Boy mherger's Avatar
    Join Date
    Apr 2005
    Location
    Switzerland
    Posts
    20,005

    [Announce] Spotty 2.3.0 - SpotifyConnect for your Squeezebox

    > Thank you! As I'm stuck with LMS 7.9.0 (7.9.1 won't start) I think it is
    > better to migrate my LMS to a new RPi3 with recent libc. I don't dare to
    > touch my system as I'm pretty sure it will impact some other services.


    Would be interesting to compare eg. scanning performance, or web UI
    rendering on the two machines. I do run my office LMS on a Pi3B+ myself.
    Spotty should work there ;-).

    --

    Michael

  7. #437
    Senior Member
    Join Date
    May 2008
    Location
    Canada
    Posts
    3,817

    [Announce] Spotty 2.3.0 - Spotify Connect for your Squeezebox

    Quote Originally Posted by no6mis View Post
    Hi,

    today the triode plugin stopped working. So I installed the new spotty plugin to get spotify back to work.

    But unfortunately the helper app won't run:

    Code:
    lola:/var/lib/squeezeboxserver/cache/InstalledPlugins/Plugins/Spotty/Bin/i386-linux# ./spotty
    Illegal instruction
    lola:/var/lib/squeezeboxserver/cache/InstalledPlugins/Plugins/Spotty/Bin/i386-linux# ./spotty-x86_64
    -bash: ./spotty-x86_64: cannot execute binary file
    Code:
    # cat /proc/cpuinfo
    processor       : 0
    vendor_id       : AuthenticAMD
    cpu family      : 6
    model           : 10
    model name      : AMD Athlon(TM) XP 2200+
    Is there a possibility to get a helper app working with my cpu?

    Kind regards,
    Simon
    I donĺt think the Athlon XP is 64 bits. Shouldnĺt you use the 32 bits version of the helper?


    EnvoyÚ de mon iPad en utilisant Tapatalk
    LMS 7.7, 7.8 and 7.9 - 5xRadio, 3xBoom, 4xDuet, 1xTouch, 1 SB2. Sonos PLAY:3, PLAY:5, Marantz NR1603, JBL OnBeat, XBoxOne, XBMC, Foobar2000, ShairPortW, JRiver 21, 2xChromecast Audio, Chromecast v1 and v2, , Pi B3, B2, Pi B+, 2xPi A+, Odroid-C1, Odroid-C2, Cubie2, Yamaha WX-010, AppleTV 4, Airport Express, GGMM E5

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •